Create Ach Debit Authorization

This endpoint is used to create an ACH Debit authorization for an Entity.

Supplied with the required parameters, this endpoint will debit the given ledger account and wait for the debit entry from the debit to be returned by the bank.

Once the debit entry is confirmed, the system will finalize the withdrawal and send a webhook to the configured URL.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
number
required

Amount that will be debited from the bank account. This amount must match the amount of the debit entry that is returned by the bank.

string
required

The ID of the ACH debit authorization. This must match the achId field of the corresponding debit entry that is returned by the bank.

The ID must be unique, and effectively acts as an idempotency key. If an authorization bearing an identical achId already exists, the system will return an error.

string
required

The ID of the ledger account that will be debited. Must be owned by the same entity as the payment instrument.

string
required

The Organization that initiated the ach debit withdrawal. this organization must be the same as the one that owns the walletId and the paymentInstrumentId.

string
required

This payment instrument represents the bank account where the funds will be debited to.

Its owner must be the same as the one of the walletId (i.e. if the walletId is a customer wallet, the provided Payment Instrument must be owned by the customer entity).

Likewise, if the walletId is a payment instrument wallet (i.e a moveusd account that is owned by an entity, not a customer), the paymentInstrument must be owned by the same entity.

Headers
string
Responses

Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json